Matrix Games Forums

Command gets huge update!Order of Battle: Pacific Featured on Weekly Streaming SessionA new fight for Battle Academy!Buzz Aldrin's Space Program Manager is out for Mac!The definitive wargame of the Western Front is out now! War in the West gets teaser trailer and Twitch Stream!New Preview AAR for War in the West!War in the West Manual previewThe fight for Armageddon begins! The Matrix Holiday sales are starting today!
Forums  Register  Login  Photo Gallery  Member List  Search  Calendars  FAQ 

My Profile  Inbox  Address Book  My Subscription  My Forums  Log Out

1.03 Beta v2 reinforcement not working

 
View related threads: (in this forum | in all forums)

Logged in as: Guest
Users viewing this topic: none
  Printable Version
All Forums >> [Current Games From Matrix.] >> [World War II] >> Time of Fury >> Tech Support >> 1.03 Beta v2 reinforcement not working Page: [1]
Login
Message << Older Topic   Newer Topic >>
1.03 Beta v2 reinforcement not working - 11/3/2012 4:19:07 PM   
NativeTexan

 

Posts: 19
Joined: 4/1/2010
Status: offline
Unable to reinforce most units while playing the Grand Campaign.

Setup:
Fresh install of Time of Fury v1.0
Install patch 1.03 beta v2
No custom modifications made to the game.

Choose Custom game "Grand Campaign"
Human player Germany "Hard" setting. (observed this on normal setting also)
1st turn Germany has 80 production points. No units have moved or any other action taken.
Problem:
Unable to reinforce German units. Attempted to reinforce units located in Germany that are not full strength.
For example: The fighter units next to Berlin. Select reinforcement button, screen comes up but will not allow reinforcements.

Rant On --
I like this game but it is very frustrating to see that the NO Quality assurance is performed on the patches before release. If you would only play your own game for a couple of turns you would have observed this issue Just because this is a beta patch doesn't mean that some QA doesn't have to be run before release.
If this is somehow my settings/fault I will gladly apologize!
Rant Off --
Post #: 1
Rant On! - 11/3/2012 4:48:30 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline
quote:

ORIGINAL: NativeTexan

Unable to reinforce most units while playing the Grand Campaign.

Setup:
Fresh install of Time of Fury v1.0
Install patch 1.03 beta v2
No custom modifications made to the game.

Choose Custom game "Grand Campaign"
Human player Germany "Hard" setting. (observed this on normal setting also)
1st turn Germany has 80 production points. No units have moved or any other action taken.
Problem:
Unable to reinforce German units. Attempted to reinforce units located in Germany that are not full strength.
For example: The fighter units next to Berlin. Select reinforcement button, screen comes up but will not allow reinforcements.

Rant On --
I like this game but it is very frustrating to see that the NO Quality assurance is performed on the patches before release. If you would only play your own game for a couple of turns you would have observed this issue Just because this is a beta patch doesn't mean that some QA doesn't have to be run before release.
If this is somehow my settings/fault I will gladly apologize!
Rant Off --


NativeTexan,
Keep on ranting as I also discovered the reinforcement problem in the 1.03 beta2 patch. Definitely a shame that before posting this no one saw this at Wastelands. I hope they start testing these beta updates a little more before releasing as it sure is frustrating to try out a new beta patch only to find such an obvious problem so quickly. You did rant politely by the way.

I went into my 1.03 original beta 1939 Grand Campaign game that I'm playing as every country and discovered that no country could reinforce any damaged unit whether it was ground or air. I also started a 1939 Grand Campaign fresh in the 1.03 beta2 patch with no luck. Now that I think about it I was able to reinforce naval units I think, I'll have to go back and check that again. I think the naval units can be reinforced because it uses a different GUI screen. Not only didn't the max button work but there was no slider button to manually slide the reinforcement amount upwards and clicking on the bar did nothing.
Omnius

PS: You can repair naval units since that uses a different GUI screen, I just double checked that. Ground and air that use the same GUI screen can't be reinforced.

< Message edited by Omnius -- 11/3/2012 4:55:06 PM >

(in reply to NativeTexan)
Post #: 2
RE: Rant On! - 11/3/2012 5:47:47 PM   
doomtrader


Posts: 5322
Joined: 7/22/2008
From: Poland
Status: offline
If you are talking about 10. Panzer Division or X. Armeekorps, then those units are on a higher level than your initial technology level.

(in reply to Omnius)
Post #: 3
Ruined Saved Game - 11/3/2012 5:47:55 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline
I discovered much to my chagrin that I couldn't just dumb down to version 1.03 original beta or even 1.02. I had to uninstall the game and made sure to delete the data folder that was left behind to ensure that whatever GUI screen that reinforce unit uses was gone as well. I had to install 1.00 fresh and then update directly to 1.03 beta. I went into my last saved game and discovered that saving the game in the 1.03 beta2 version ruined my saved game as I couldn't reinforce units. Luckily I'm anal and went back to my prior turn save and found that it works just fine.

DO NOT SAVE GAMES IN 1.03 BETA2!!!!

I went braindead when installing version 1.00 and clicked to add the dvx to see the opening credits. I forgot that I had seen some comment about it not working and discovered that I then had to click on the task bar again to get the program up again. So I just uninstalled that microsoft dvx garbage altogether, heck I have an iMac so I don't do video in inferior windows. Sad that whatever opening video there is doesn't work, I always thought that garbage was a waste of time and money anyway.

Needless to say after wasting about two hours messing with that evil 1.03 beta2 patch that lost me many countries moves I've decided to just watch college football. I'll give it a try tomorrow when I'm less frustrated.
Omnius

(in reply to Omnius)
Post #: 4
RE: Rant On! - 11/3/2012 5:53:05 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline

quote:

ORIGINAL: doomtrader

If you are talking about 10. Panzer Division or X. Armeekorps, then those units are on a higher level than your initial technology level.


doomtrader,
You need to read complaints more carefully, especially mine since I stated clearly that I tried multiple countries. I know better than to expect to reinforce units above the current tech level and I'm sure that NativeTexan is also aware of that situation. Not to mention gwgardner who is very savvy about the game as he chimed in about this in the 1.03 public beta thread. Please take down that 1.03 beta2 patch ASAP, it is seriously messed up and messed up one of my saves. It totally ruined my Saturday gaming enjoyment and I'm just going to watch college football I'm so miffed that my most current save was ruined by 1.03 beta2.
Omnius

(in reply to doomtrader)
Post #: 5
RE: Rant On! - 11/3/2012 6:10:48 PM   
doomtrader


Posts: 5322
Joined: 7/22/2008
From: Poland
Status: offline
OK, I hear you.
However as this is a beta patch, we prefer to keep it up.

(in reply to Omnius)
Post #: 6
RE: Rant On! - 11/3/2012 6:24:25 PM   
elmerlee

 

Posts: 309
Joined: 7/20/2004
Status: offline
Might be a Beta Patch but we are not BETA TESTERS.

My comment that there is little excuse for simple mistakes that are
supported in the following......

As to no reinforce of units.
..
[UnitsPerformanceInRelationsToSupplyAt25]
EffectivityPenalty = 0
MaximumReplacementsForAirUnits = 0
MaximumReplacementsForLandUnits = 0

The above is listed in the constants file of all countries for various supply levels.(saved game)
Notice zero replacements for air and land units.
To test I changed the value to 10 and restarted the game.
Bingo REPLACEMENTS...

SLOPPY PROGRAMMING AND PLAY TESTING. A five minute fix at most.

(in reply to doomtrader)
Post #: 7
RE: Rant On! - 11/3/2012 7:10:59 PM   
doomtrader


Posts: 5322
Joined: 7/22/2008
From: Poland
Status: offline
This is what I've been looking at, too.

We will start to work on this on Monday.

(in reply to elmerlee)
Post #: 8
RE: Rant On! - 11/8/2012 3:48:16 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline

quote:

ORIGINAL: doomtrader

OK, I hear you.
However as this is a beta patch, we prefer to keep it up.


doomtrader,
If you keep up this malfunctioning 1.03 beta2 patch then at least give people a warning about the reinforcement problem so they know what to expect. That problem ruined my saved game and I had to reinstall the original and update back to the 1.03 beta that doesn't trash games.
Omnius

(in reply to doomtrader)
Post #: 9
RE: Rant On! - 11/8/2012 6:10:41 PM   
Grimnirsson


Posts: 118
Joined: 12/25/2011
Status: offline
quote:

Might be a Beta Patch but we are not BETA TESTERS.


When you download and install a BETA patch you are de facto a Beta TESTER. That's why I always wait for the official patch...

_____________________________


(in reply to Omnius)
Post #: 10
RE: Rant On! - 11/8/2012 11:16:30 PM   
elmerlee

 

Posts: 309
Joined: 7/20/2004
Status: offline
That makes an assumption that things were fine on release of patch 1.1 and patch 1.2 (non beta patches).
And the release of the original for that matter.

So since that is far from correct ???????????????????????????

Tomorrow makes a week Doom has been working on the discovered problems.
Maybe we will hear something soon.

(in reply to Grimnirsson)
Post #: 11
RE: Rant On! - 11/9/2012 9:50:41 AM   
Grimnirsson


Posts: 118
Joined: 12/25/2011
Status: offline
quote:

That makes an assumption that things were fine on release of patch 1.1 and patch 1.2 (non beta patches).


No, not really. From the time I bought the game (last year or very early this year can't remember, it's been too long...) problems showed up reported here by other players, so I waited for a patch to solve the issue. Then a new problem was reported and i waited, a new patch, new problems discovered etc. till today. Imho the game is not ready yet to play (for me, others enjoy it from day one, a matter of personal taste obviously) and it sits here on my HDD waiting for the final patch and a hopefully following deafening silence by the players here so I can assume the thing works as it should.

< Message edited by Grimnirsson -- 11/9/2012 9:51:41 AM >


_____________________________


(in reply to elmerlee)
Post #: 12
RE: Rant On! - 11/9/2012 5:58:57 PM   
Rasputitsa


Posts: 1713
Joined: 6/30/2001
From: Bedfordshire UK
Status: offline
quote:

ORIGINAL: elmerlee
That makes an assumption that things were fine on release of patch 1.1 and patch 1.2 (non beta patches).
And the release of the original for that matter.

So since that is far from correct ???????????????????????????

Tomorrow makes a week Doom has been working on the discovered problems.
Maybe we will hear something soon.


AFAIK nobody has reported major problems in the working of 1.01 (there will always be gameplay issues), the faults in 1.02 were not noticed until they became apparent in 1.03 beta (or they would have been dealt with sooner), which has been frustrating, in as much as there are new features and gameplay changes in 1.02, which I would like to use, therefore, I am waiting for 1.03 beta to be resolved, or issued as an official update, but I can drop back to 1.01.

Beta is what it says and can't be guaranteed, 1.02 was flawed which is regrettable, but 1.01 is a working version of the game, which can be used until the recent problems have been resolved.

None off this is good, but it's not disastrous, there is still a working game to be had.


< Message edited by Rasputitsa -- 11/9/2012 6:03:57 PM >


_____________________________

"We have to go from where we are, not from where we would like to be" - me

(in reply to elmerlee)
Post #: 13
RE: Rant On! - 11/9/2012 6:30:09 PM   
elmerlee

 

Posts: 309
Joined: 7/20/2004
Status: offline
Rasputitsa

So even if 1.01 was playable it did not have features that made the game enjoyable.

But what is really wrong is that I DONT HAVE 1.01 and dont see how to get it.
The members section has only 1.03beta and I have only 1.02.

Before you say I could have gotten it I could not.
The only available patch at that time was 1.02. Which I got.

Dont mean to argue but I still feel this product is far from playable. Unless you like fantasy games.

(in reply to Rasputitsa)
Post #: 14
RE: Rant On! - 11/10/2012 6:04:44 PM   
Rasputitsa


Posts: 1713
Joined: 6/30/2001
From: Bedfordshire UK
Status: offline

quote:

ORIGINAL: elmerlee
Rasputitsa

So even if 1.01 was playable it did not have features that made the game enjoyable.

But what is really wrong is that I DONT HAVE 1.01 and dont see how to get it.
The members section has only 1.03beta and I have only 1.02.

Before you say I could have gotten it I could not.
The only available patch at that time was 1.02. Which I got.

Dont mean to argue but I still feel this product is far from playable. Unless you like fantasy games.


I am not going to say you should have got 1.01, how would anyone know that these problems would arise with later versions. Perhaps Matrix and Wastelands should have a link to earlier versions of their games, for when users need to roll back, just like now.


_____________________________

"We have to go from where we are, not from where we would like to be" - me

(in reply to elmerlee)
Post #: 15
RE: Rant On! - 11/12/2012 9:27:52 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline

quote:

ORIGINAL: Rasputitsa


quote:

ORIGINAL: elmerlee
Rasputitsa

So even if 1.01 was playable it did not have features that made the game enjoyable.

But what is really wrong is that I DONT HAVE 1.01 and dont see how to get it.
The members section has only 1.03beta and I have only 1.02.

Before you say I could have gotten it I could not.
The only available patch at that time was 1.02. Which I got.

Dont mean to argue but I still feel this product is far from playable. Unless you like fantasy games.


I am not going to say you should have got 1.01, how would anyone know that these problems would arise with later versions. Perhaps Matrix and Wastelands should have a link to earlier versions of their games, for when users need to roll back, just like now.



Rasputitsa,
Maybe Wastelands and Matrix should have done a better job of beta testing the product before and especially after release. You say 1.01 was very playable and no one noticed problems and you try to indicate that all of these problems came up in version 1.02 or the 1.03 beta which is hogwash. I bet every problem discovered in 1.02 or 1.03 has been in 1.01 all along, except for the disgusting change in convoy routing for Britain and the British Colonies which is definitely different from 1.02 to 1.03. One of the biggest mistakes I've seen as a beta tester in the past is that the beta testing crew gets released right after the product is released, just when they are needed most to test patch changes before we customers do.

If a player wants he can use the link in the start up part of the program that allows the program to determine if there is a newer patch out there to download. Even though I had the 1.03 public beta I tried that feature and it started to download 1.02 again so I cancelled that because I was happy with teh first 1.03 beta patch. I bought the game when 1.02 was the latest version so how the heck would I have ever gotten a chance to get 1.01? Yes it might be smart if Matrix offered all patches available for all programs just in case someone waned to dumb down the program. I was thankful I downloaded and saved the 1.03 beta patch so that I could reinstall the program and then upgrade to 1.03 after finding the problems with the 1.03b beta.

Instead of apologizing for Wastelands so profusely you should just admit a mea culpa, your numerous lame excuses make some people rather dubious about your honesty.
Omnius

(in reply to Rasputitsa)
Post #: 16
RE: Rant On! - 1/6/2013 10:11:58 PM   
baloo7777


Posts: 275
Joined: 5/18/2009
From: eastern CT
Status: offline
I just purchased this game and am having this same problem with re-inforcements in a saved game with version 1.03. In addition, the scenario I was playing keeps crashing the game at the German AI turn 5. I lose all unsaved info and can't get past that turn. I like the game, but it is not really playable. I wonder if I am now stuck with a non-game?

_____________________________

JRR

(in reply to Omnius)
Post #: 17
Be Patient - 1/7/2013 4:40:28 PM   
Omnius


Posts: 526
Joined: 6/22/2012
From: Salinas, CA
Status: offline
baloo7777,
Just be patient. Unfortunately you picked a bad beta version. I dumbed my game back down to version 1.03 beta 1 and it works fine as far as reinforcing units goes. I've decided to play Strategic War in Europe waiting for the official 1.03 patch. I really love the new beta 1945 scenario that pits early NATO versus the Warsaw Pact. Just wish that Time of Fury would get a similar 1945 scenario.
Omnius

(in reply to baloo7777)
Post #: 18
RE: Rant On! - 1/7/2013 11:04:18 PM   
Rasputitsa


Posts: 1713
Joined: 6/30/2001
From: Bedfordshire UK
Status: offline

quote:

ORIGINAL: Omnius


quote:

ORIGINAL: Rasputitsa


quote:

ORIGINAL: elmerlee
Rasputitsa

So even if 1.01 was playable it did not have features that made the game enjoyable.

But what is really wrong is that I DONT HAVE 1.01 and dont see how to get it.
The members section has only 1.03beta and I have only 1.02.

Before you say I could have gotten it I could not.
The only available patch at that time was 1.02. Which I got.

Dont mean to argue but I still feel this product is far from playable. Unless you like fantasy games.


I am not going to say you should have got 1.01, how would anyone know that these problems would arise with later versions. Perhaps Matrix and Wastelands should have a link to earlier versions of their games, for when users need to roll back, just like now.



Rasputitsa,
Maybe Wastelands and Matrix should have done a better job of beta testing the product before and especially after release. You say 1.01 was very playable and no one noticed problems and you try to indicate that all of these problems came up in version 1.02 or the 1.03 beta which is hogwash. I bet every problem discovered in 1.02 or 1.03 has been in 1.01 all along, except for the disgusting change in convoy routing for Britain and the British Colonies which is definitely different from 1.02 to 1.03. One of the biggest mistakes I've seen as a beta tester in the past is that the beta testing crew gets released right after the product is released, just when they are needed most to test patch changes before we customers do.

If a player wants he can use the link in the start up part of the program that allows the program to determine if there is a newer patch out there to download. Even though I had the 1.03 public beta I tried that feature and it started to download 1.02 again so I cancelled that because I was happy with teh first 1.03 beta patch. I bought the game when 1.02 was the latest version so how the heck would I have ever gotten a chance to get 1.01? Yes it might be smart if Matrix offered all patches available for all programs just in case someone waned to dumb down the program. I was thankful I downloaded and saved the 1.03 beta patch so that I could reinstall the program and then upgrade to 1.03 after finding the problems with the 1.03b beta.

Instead of apologizing for Wastelands so profusely you should just admit a mea culpa, your numerous lame excuses make some people rather dubious about your honesty.
Omnius

Omnius

'In the popular vernacular, the expression "mea culpa" is an admission of having made a mistake by one's own fault' - Wiki.

You have have an unerring ability to misunderstand and misinterpret what has been said, or maybe you just don't care about other people's views. I have expressed my views on the game, which I am enjoying, where is the dishonesty.

In the post, which you have quoted, I realised that elmerlee had not had access to update 1.01, which at the time seemed to be the version with the least problems, I suggested that Wastelands provide a link to earlier versions of the game like 1.01, whilst the update then on offer was being fixed, where's the dishonesty in that. Like you say, if you come to the game at 1.02, how can you get 1.01, but then that point had already been made.

I think the main problem is one of attitude, for you it's 'glass half empty', for me it's 'glass half full'. I see a lot in this game which works very well, other features don't work properly, all of this is part of the open discussion on this forum that we have all joined in. The fact that you are still on the forum suggests that you think that there is something in the game that is worth your time. On balance there is a good game here, or why are we still plugging away at it.

Quote - You say 1.01 was very playable and no one noticed problems and you try to indicate that all of these problems came up in version 1.02 or the 1.03 beta which is hogwash.

Yes this is hogwash, but then it's your words not mine, Nobody, including me, said that all the problems started with 1.02, or 1.03, many of the problems have been with the game from the beginning, as a look through the forum will show. However, the items then under discussion, were first seen in 1.03b, but checking back found to have started with 1.02, to avoid those specific problems 1.01 seemed to be the best bet.

There are many posts in which we have all made comments, including me, about problems in the game. I have also made comments about what I see as the good points, but if you are going to make accusations of dishonesty will you give me the curtesy of showing where I have lied, because that is what dishonesty means.

Show me the lies, or give me an apology.



_____________________________

"We have to go from where we are, not from where we would like to be" - me

(in reply to Omnius)
Post #: 19
RE: Rant On! - 1/21/2013 10:15:37 PM   
baloo7777


Posts: 275
Joined: 5/18/2009
From: eastern CT
Status: offline
So I'm back to complain some more (I actually love this game), and I thought that if I modified the constants file of the countries after each save, I should be able to get a game played (V 1.03)... and it seemed to work well, at least for 49 turns of the clash of titans scenario. Then, after the US occupied Rome , just as the German AI turn ends, the game crashes to the desktop and I lose all unsaved info (which I am unable to save during the AI portion of the turn). I've tried several times and always the same result (I must be a glutton for punishment). I should probably try rolling back to an earlier version. I was hoping the next patch would be out soon. Any word on WHEN???!!!

_____________________________

JRR

(in reply to Rasputitsa)
Post #: 20
RE: Rant On! - 1/22/2013 8:14:38 AM   
JLPOWELL


Posts: 410
Joined: 5/5/2011
From: Pacific Time Zone
Status: offline
quote:

Might be a Beta Patch but we are not BETA TESTERS.


I am not shy regarding criticism of the design team as I am sure Doom can attest, but I just got to say this, Its a beta patch (not a release) you downloaded it so ...you are a Beta tester (you volunteered.) A game this complex with the limited resources they have is going to need 'volunteer' debugging. The Beta patches are usually pretty good by the time they are released to the playing community, but if you want something more you need to wait for the release I usually try to avoid starting a serious PBEM game using a beta, but overall they tend to be 'better' than what they replace.

_____________________________

"Don’t you think that if I were wrong, I’d know it?"

(in reply to elmerlee)
Post #: 21
RE: Rant On! - 1/22/2013 8:27:09 AM   
JLPOWELL


Posts: 410
Joined: 5/5/2011
From: Pacific Time Zone
Status: offline
quote:

Yes it might be smart if Matrix offered all patches available for all programs just in case someone waned to dumb down the program. I was thankful I downloaded and saved the 1.03 beta patch so that I could reinstall the program and then upgrade to 1.03 after finding the problems with the 1.03b beta.


I save all patches (and keep copies of the old game folders for reasons listed below) so I agree it is a good idea. Even better is the idea that Wastelands post or otherwise make available previous versions. Rolling back to a working version after an unfortunate experience with an upgrade sounds like a win win, and it should be pretty easy to post links to old patches, that said you may need to do a re install if you 'downgrade' as I it is likely some of the patches overwrite files which previous patches may not have touched.

< Message edited by JLPOWELL -- 1/22/2013 8:28:35 AM >


_____________________________

"Don’t you think that if I were wrong, I’d know it?"

(in reply to Omnius)
Post #: 22
Page:   [1]
All Forums >> [Current Games From Matrix.] >> [World War II] >> Time of Fury >> Tech Support >> 1.03 Beta v2 reinforcement not working Page: [1]
Jump to:





New Messages No New Messages
Hot Topic w/ New Messages Hot Topic w/o New Messages
Locked w/ New Messages Locked w/o New Messages
 Post New Thread
 Reply to Message
 Post New Poll
 Submit Vote
 Delete My Own Post
 Delete My Own Thread
 Rate Posts


Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI

0.115